codecov:
  notify:
    require_ci_to_pass: yes

coverage:
  precision: 2
  round: down
  range: "70...100"

  # https://docs.codecov.io/docs/commit-status
  status:
    project: no
    patch: no
    changes: no

parsers:
  gcov:
    branch_detection:
      conditional: yes
      loop: yes
      method: no
      macro: no

# https://docs.codecov.io/docs/pull-request-comments
# https://docs.codecov.io/docs/graphs
comment:
  layout: "header, files "
  behavior: once
  require_changes: yes
